> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cogfoundry.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List creator Market SkillBots

> Returns Market SkillBot listings owned by the authenticated creator, including pending review, rejected, published, and unlisted listings.



## OpenAPI

````yaml /developer-reference/loomloom-api/openapi.json get /loom/v1/creators/me/marketListings
openapi: 3.1.0
info:
  title: loomloom
  description: HTTP API for executing and managing loomloom AI work through CogFoundry.
  version: market-v1
  summary: ''
  contact: {}
servers:
  - url: https://loomloom.cogfoundry.ai
    description: CogFoundry production
security:
  - bearer: []
tags:
  - name: System
  - name: Creator Earnings
  - name: Creators
  - name: Creator Reviews
  - name: Input Assets
  - name: Market Listings
  - name: Market Runs
  - name: Models
  - name: Official Templates
  - name: Assets
  - name: Users
  - name: Runs
  - name: User Templates
paths:
  /loom/v1/creators/me/marketListings:
    get:
      tags:
        - Creators
      summary: List creator Market SkillBots
      description: >-
        Returns Market SkillBot listings owned by the authenticated creator,
        including pending review, rejected, published, and unlisted listings.
      parameters:
        - name: keyword
          in: query
          description: Search keyword matched against listing title and description.
          required: false
          example: ''
          schema:
            type: string
        - name: pageSize
          in: query
          description: Page size. Default 100, max 500.
          required: false
          example: ''
          schema:
            type: integer
        - name: pageToken
          in: query
          description: Opaque pagination token returned by the previous response.
          required: false
          example: ''
          schema:
            type: string
        - name: orderBy
          in: query
          description: Sort expression. Currently supports createdAt desc.
          required: false
          example: ''
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.marketListingsResponse'
          headers: {}
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.errorResponse'
          headers: {}
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.errorResponse'
          headers: {}
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.errorResponse'
          headers: {}
      deprecated: false
      security:
        - bearer: []
components:
  schemas:
    server.marketListingsResponse:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/server.marketListingResponse'
        nextPageToken:
          type: string
    server.errorResponse:
      type: object
      properties:
        error:
          type: string
    server.marketListingResponse:
      type: object
      properties:
        description:
          type: string
        displayName:
          type: string
        executionAvailabilityStatus:
          type: string
        id:
          type: string
        inputSchemaSnapshot:
          type: string
        listingVersionId:
          type: string
        ownerUserId:
          type: integer
        packageHash:
          type: string
        pricingRuleVersion:
          type: string
        pricingSnapshotHash:
          type: string
        publishedVersionId:
          type: string
        reviewReason:
          type: string
        reviewRequestId:
          type: string
        reviewStatus:
          type: string
        saleStatus:
          type: string
        status:
          type: string
        taskFixedFeeT:
          type: integer
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````